/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';
import {isUndefined} from 'util';
import {ProtocolDescription} from '../model/connect/grounding/ProtocolDescription';


@Component({
  selector: 'app-select-protocol',
  templateUrl: './select-protocol.component.html',
  styleUrls: ['./select-protocol.component.css']
})
export class SelectProtocolComponent implements OnInit {

  @Output() selectedProtocolChange = new EventEmitter<ProtocolDescription>();
  @Output() inputValueChanged = new EventEmitter<any>();
  @Output() selectedProtocolEmitter = new EventEmitter();

  @Input() selectedProtocol: ProtocolDescription;
  @Input() allProtocols: ProtocolDescription[];
  index: Number;
  hasInput: Boolean[] = [false];
  showStaticProperty: Boolean[] = [false]

  // onSubmit() {
  //   console.log(this.allProtocols);
  // }

  constructor() {
    
    
    // for (var i = 0; i < 3 - 1; i++) {
    //   this.showStaticProperty.push(false);
    //   this.hasInput.push(false);
    // }
  }

  isSelected(p: ProtocolDescription): boolean {
    if (isUndefined(this.selectedProtocol)) {
      return false;
    } else {
      this.selectedProtocolChange.emit(this.selectedProtocol);
      return p.label === this.selectedProtocol.label;
    }

  }

  protocolSelected(selectedProtocol) {
    this.selectedProtocol = selectedProtocol;
    this.selectedProtocolEmitter.emit(selectedProtocol);
  }

  // textValidation1(hasInput, index) {
  //   this.hasInput[index] = hasInput;

  //   if (this.hasInput[index] && this.showStaticProperty[index]) {
  //     this.inputValueChanged.emit(true);
  //   } else {
  //     this.inputValueChanged.emit(false);
  //   }
  // }

  validateAll(allValid) {
    this.inputValueChanged.emit(allValid);
  }

  // clickedOption(i) {
  //   if (!this.showStaticProperty[i]) {
  //     var listItem = document.getElementById("protocolList").getElementsByClassName("listItem");
  //     for (var j = 0; j < this.showStaticProperty.length; j++) {
  //       if (j == i) {
  //         this.showStaticProperty[j] = true;

  //         //If selected Element already has Input -> enable next button
  //         if (this.hasInput[i] && this.showStaticProperty[i]) {
  //           this.inputValueChanged.emit(true);
  //         } else {
  //           this.inputValueChanged.emit(false);
  //         }

  //         listItem[i].classList.add("selectedItem");
  //         switch (this.allProtocols[j].config.length) {
  //           case 2: {
  //             listItem[i].classList.add("twoStaticProperties");
  //             break;
  //           }
  //           case 3: {
  //             listItem[i].classList.add("threeStaticProperties");
  //             break;
  //           }
  //           default: {
  //             break;
  //           }
  //         }
  //       }
  //       else {
  //         this.showStaticProperty[j] = false;
  //         listItem[j].classList.remove("selectedItem");
  //         listItem[j].classList.remove("twoStaticProperties");
  //         listItem[i].classList.remove("threeStaticProperties");
  //       }
  //     }
  //   }
  // }

  ngOnInit() {

    // setTimeout(() => {
    //   for (var i = 0; i < this.allProtocols.length - 1; i++) {
    //     this.showStaticProperty.push(false);
    //     this.hasInput.push(false);
    //   }
    // }, 30);

    // console.log("test1");
    
    // console.log(this.allProtocols);
    
    // for (var i = 0; i<this.allProtocols.length-1; i++){
    //    this.showStaticProperty[i] = false;
    //   }
    //   console.log("ngOnit durchlaufen")
    // Problem showStaticProperty wird zu langsam deklariert, error im HTML, das showStaticProperty undefined an index 0 ist
  }

}
